# BEGIN SourceDeps(oneline):
BuildRequires: perl(Email/MIME.pm) perl(Encode.pm) perl(Encode/compat/MIME/Header/ISO_2022_JP.pm) perl(ExtUtils/MakeMaker.pm) perl(Sub/Install.pm) perl(Test/Classy.pm) perl(Test/Classy/Base.pm) perl(Test/More.pm) perl(Test/UseAllModules.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Email-MIME-Creator-ISO_2022_JP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Email::MIME mixin to create an iso-2022-jp mail
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IS/ISHIGAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the Email::MIME manpage is nice and handy. With `header_str' and `body_str' (since 1.900), you don't need to encode everything by yourself. Just pass flagged (`decode'd) utf-8 strings, and you'll get what you want. However, it only works when you send utf-8 encoded emails. In Japan, there're still some email clients that only understand iso-2022-jp (jis) encoded emails, and its popularity persuaded the the Encode manpage maintainer (who's also Japanese) to include its support (since version 2.11, with `Encode::MIME::Header::ISO_2022_JP' written by Makamaka). I want it to be supported by the Email::MIME manpage, but it's too specific and nonsense for the rest of the world. That's why I write this mixin instead of asking to add extra bit to the Email::MIME manpage.

As of this writing, this mixin doesn't care the tangled issues in the Japanese cellular phone industry (thus not `::Japanese'). If you need finer control, just use `header'/`body' and encoded string/octets, or send me a patch.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/E*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

